import type { Plugin } from '@commitlint/types';
export declare const CUSTOM_MESSAGE_RULE_SUFFIX = "-message";
export type RuleCustomMessage = Record<`${string}-message`, string>;
/**
 * custom message function
 * @param pass lint result
 * @param rule lint rule
 * @param defaultMessage lint rule default message
 * @return custom lint rule message
 */
export type RuleCustomMessageFn = (pass: boolean, rule: string, defaultMessage: string) => string;
/**
 * generate wrapper config function
 * @param customMessageConfig custom message config
 * @returns wrapper function
 */
declare const _default: (customMessageConfig: Record<`${string}${typeof CUSTOM_MESSAGE_RULE_SUFFIX}`, string | RuleCustomMessageFn>) => Plugin;
export default _default;
